#!/usr/local/bin/perl

# Copyright (C) 2003 by Johannes Grassler. All rights reserved. This is
# free software and can be distributed under the terms of either the
# Artistic License or the GNU General Public License which can be found
# in the files Artistic and COPYING.

use strict;
use warnings;

use Getopt::Std;
use Config;

my %opts;
getopts('h', \%opts);

if ( $opts{h} ) { die "usage: $0 [input file]\n"; }

my $input = "-";
if ( $ARGV[0] ) { $input = $ARGV[0]; }

open INPUT,$input; 

while ( my $line = <INPUT> )
	{
	chomp $line;
	if ( $Config{osname} eq 'linux' ) { remover_linux($line); }
	if ( $Config{osname} eq 'freebsd' ) { remover_freebsd($line); }
	}

sub remover_freebsd
	{
	my $user = $_[0];
	my $rmuser_status = system "/usr/sbin/rmuser -y $user";
	if ( $rmuser_status != 0 ) { warn "Couldn't delete user $user\n"; }
	}

sub remover_linux
	{
	my $user = $_[0];
	my $userdel_status = system "/usr/sbin/userdel -r $user";
	if ( $userdel_status != 0 ) { warn "Couldn't delete user $user\n"; }
	}
